// Made with Blockbench
// Paste this code into your mod.
// Make sure to generate all required imports

public static class Modelcustom_model extends ModelBase {
	private final ModelRenderer legleft;
	private final ModelRenderer rightleg;
	private final ModelRenderer head;
	private final ModelRenderer rightarm;
	private final ModelRenderer leftarm;
	private final ModelRenderer body;
	private final ModelRenderer cape;

	public Modelcustom_model() {
		textureWidth = 64;
		textureHeight = 64;

		legleft = new ModelRenderer(this);
		legleft.setRotationPoint(2.0F, 13.0F, 0.0F);
		legleft.cubeList.add(new ModelBox(legleft, 16, 45, -2.0F, 0.0F, -2.0F, 4, 11, 4, 0.0F, false));

		rightleg = new ModelRenderer(this);
		rightleg.setRotationPoint(-2.0F, 13.0F, -1.0F);
		rightleg.cubeList.add(new ModelBox(rightleg, 48, 0, -2.0F, 0.0F, -1.0F, 4, 11, 4, 0.0F, false));

		head = new ModelRenderer(this);
		head.setRotationPoint(0.0F, 2.0F, 0.0F);
		setRotationAngle(head, 0.0F, 3.1416F, 0.0F);
		head.cubeList.add(new ModelBox(head, 0, 18, -4.0F, -8.0F, -4.0F, 8, 8, 8, 0.0F, false));
		head.cubeList.add(new ModelBox(head, 0, 0, -4.5F, -9.0F, -4.5F, 9, 9, 9, 0.0F, false));

		rightarm = new ModelRenderer(this);
		rightarm.setRotationPoint(4.0F, 4.0F, 0.0F);
		rightarm.cubeList.add(new ModelBox(rightarm, 44, 44, 0.0F, -2.0F, -2.0F, 4, 11, 4, 0.0F, false));

		leftarm = new ModelRenderer(this);
		leftarm.setRotationPoint(-4.0F, 4.0F, 0.0F);
		leftarm.cubeList.add(new ModelBox(leftarm, 44, 44, -4.0F, -2.0F, -2.0F, 4, 11, 4, 0.0F, false));
		leftarm.cubeList.add(new ModelBox(leftarm, 31, 13, -5.0F, -3.0F, -2.5F, 5, 5, 5, 0.0F, false));
		leftarm.cubeList.add(new ModelBox(leftarm, 24, 9, -2.0F, 5.0F, -11.0F, 0, 3, 14, 0.0F, false));

		body = new ModelRenderer(this);
		body.setRotationPoint(0.0F, 2.0F, 0.0F);
		body.cubeList.add(new ModelBox(body, 32, 30, -4.0F, 0.0F, -2.0F, 8, 11, 4, 0.0F, false));

		cape = new ModelRenderer(this);
		cape.setRotationPoint(-4.0F, 2.0F, 0.0F);
		setRotationAngle(cape, 0.0873F, 0.0F, 0.0F);
		cape.cubeList.add(new ModelBox(cape, 0, 34, -1.0F, -0.2F, 2.0F, 10, 13, 0, 0.0F, false));
	}

	@Override
	public void render(Entity entity, float f, float f1, float f2, float f3, float f4, float f5) {
		legleft.render(f5);
		rightleg.render(f5);
		head.render(f5);
		rightarm.render(f5);
		leftarm.render(f5);
		body.render(f5);
		cape.render(f5);
	}
	public void setRotationAngle(ModelRenderer modelRenderer, float x, float y, float z) {
		modelRenderer.rotateAngleX = x;
		modelRenderer.rotateAngleY = y;
		modelRenderer.rotateAngleZ = z;
	}

	public void setRotationAngles(float f, float f1, float f2, float f3, float f4, float f5, Entity e) {
		super.setRotationAngles(f, f1, f2, f3, f4, f5, e);
		this.head.rotateAngleY = f3 / (180F / (float) Math.PI);
		this.head.rotateAngleX = f4 / (180F / (float) Math.PI);
		this.rightleg.rotateAngleX = MathHelper.cos(f * 1.0F) * 1.0F * f1;
		this.rightarm.rotateAngleX = MathHelper.cos(f * 0.6662F + (float) Math.PI) * f1;
		this.leftarm.rotateAngleX = MathHelper.cos(f * 0.6662F) * f1;
		this.legleft.rotateAngleX = MathHelper.cos(f * 1.0F) * -1.0F * f1;
	}
}