// Made with Blockbench
// Paste this code into your mod.
// Make sure to generate all required imports

public static class Modelcustom_model extends ModelBase {
	private final ModelRenderer head;
	private final ModelRenderer Jaw;
	private final ModelRenderer Horn3;
	private final ModelRenderer Horn2;
	private final ModelRenderer Horn1;
	private final ModelRenderer body;
	private final ModelRenderer frontleft;
	private final ModelRenderer frontright;
	private final ModelRenderer hindright;
	private final ModelRenderer hindleft;
	private final ModelRenderer tail;
	private final ModelRenderer bone2;
	private final ModelRenderer bone;
	private final ModelRenderer Core;

	public Modelcustom_model() {
		textureWidth = 128;
		textureHeight = 128;

		head = new ModelRenderer(this);
		head.setRotationPoint(0.0F, -2.0F, -15.0F);
		setRotationAngle(head, 0.6109F, 0.0F, 0.0F);
		head.cubeList.add(new ModelBox(head, 59, 0, -5.5F, -3.1808F, -13.5736F, 11, 10, 14, 0.0F, false));

		Jaw = new ModelRenderer(this);
		Jaw.setRotationPoint(0.0F, 3.2793F, -3.4575F);
		head.addChild(Jaw);
		Jaw.cubeList.add(new ModelBox(Jaw, 66, 46, -6.0F, -1.5762F, -10.656F, 12, 5, 9, 0.0F, false));

		Horn3 = new ModelRenderer(this);
		Horn3.setRotationPoint(-4.0F, -5.0F, -1.0F);
		setRotationAngle(Horn3, -0.8727F, 0.0F, -0.3491F);
		head.addChild(Horn3);
		Horn3.cubeList.add(new ModelBox(Horn3, 0, 46, -2.5261F, -7.66F, -0.7988F, 2, 12, 1, 0.0F, false));

		Horn2 = new ModelRenderer(this);
		Horn2.setRotationPoint(4.0F, -4.0F, -1.0F);
		setRotationAngle(Horn2, -0.8727F, 0.0F, 0.3491F);
		head.addChild(Horn2);
		Horn2.cubeList.add(new ModelBox(Horn2, 6, 46, 0.5261F, -8.66F, -0.7988F, 2, 12, 1, 0.0F, false));

		Horn1 = new ModelRenderer(this);
		Horn1.setRotationPoint(0.0F, -5.0107F, -6.6907F);
		setRotationAngle(Horn1, -0.2618F, 0.0F, 0.0F);
		head.addChild(Horn1);
		Horn1.cubeList.add(new ModelBox(Horn1, 12, 46, -1.0F, -3.5816F, -5.673F, 2, 7, 1, 0.0F, false));

		body = new ModelRenderer(this);
		body.setRotationPoint(0.0F, 0.0F, -28.0F);
		body.cubeList.add(new ModelBox(body, 0, 0, -7.0F, -3.0F, 13.0F, 14, 15, 31, 0.0F, false));

		frontleft = new ModelRenderer(this);
		frontleft.setRotationPoint(3.0F, 9.0F, -10.5F);
		frontleft.cubeList.add(new ModelBox(frontleft, 46, 78, 0.0F, -2.0F, -2.5F, 5, 17, 5, 0.0F, false));

		frontright = new ModelRenderer(this);
		frontright.setRotationPoint(-3.0F, 9.0F, -10.5F);
		frontright.cubeList.add(new ModelBox(frontright, 26, 78, -5.0F, -2.0F, -2.5F, 5, 17, 5, 0.0F, false));

		hindright = new ModelRenderer(this);
		hindright.setRotationPoint(3.0F, 6.0F, 12.0F);
		hindright.cubeList.add(new ModelBox(hindright, 0, 73, -1.0F, -2.0F, -3.0F, 7, 20, 6, 0.0F, false));

		hindleft = new ModelRenderer(this);
		hindleft.setRotationPoint(-3.0F, 6.0F, 12.0F);
		hindleft.cubeList.add(new ModelBox(hindleft, 0, 0, -6.0F, -2.0F, -3.0F, 7, 20, 6, 0.0F, false));

		tail = new ModelRenderer(this);
		tail.setRotationPoint(0.0F, 4.0F, 15.0F);
		setRotationAngle(tail, -0.3491F, 0.0F, 0.0F);
		tail.cubeList.add(new ModelBox(tail, 0, 46, -4.0F, -4.658F, -0.9397F, 8, 8, 19, 0.0F, false));

		bone2 = new ModelRenderer(this);
		bone2.setRotationPoint(0.0F, 0.342F, 17.0603F);
		setRotationAngle(bone2, -0.1745F, 0.0F, 0.0F);
		tail.addChild(bone2);
		bone2.cubeList.add(new ModelBox(bone2, 35, 54, -3.0F, -3.0898F, -3.1342F, 6, 5, 19, 0.0F, false));

		bone = new ModelRenderer(this);
		bone.setRotationPoint(0.0F, -1.0F, 16.0F);
		setRotationAngle(bone, 0.0873F, 0.0F, 0.0F);
		bone2.addChild(bone);
		bone.cubeList.add(new ModelBox(bone, 66, 66, -2.0F, -1.0933F, -7.4295F, 4, 3, 19, 0.0F, false));

		Core = new ModelRenderer(this);
		Core.setRotationPoint(0.0F, 4.0F, 0.0F);
		Core.cubeList.add(new ModelBox(Core, 90, 33, -3.0F, -3.0F, -3.0F, 6, 6, 6, 0.0F, false));
	}

	@Override
	public void render(Entity entity, float f, float f1, float f2, float f3, float f4, float f5) {
		head.render(f5);
		body.render(f5);
		frontleft.render(f5);
		frontright.render(f5);
		hindright.render(f5);
		hindleft.render(f5);
		tail.render(f5);
		Core.render(f5);
	}
	public void setRotationAngle(ModelRenderer modelRenderer, float x, float y, float z) {
		modelRenderer.rotateAngleX = x;
		modelRenderer.rotateAngleY = y;
		modelRenderer.rotateAngleZ = z;
	}

	public void setRotationAngles(float f, float f1, float f2, float f3, float f4, float f5, Entity e) {
		super.setRotationAngles(f, f1, f2, f3, f4, f5, e);
		this.Jaw.rotateAngleX = MathHelper.cos(f * 0.6662F) * f1;
		this.frontright.rotateAngleX = MathHelper.cos(f * 1.0F) * -1.0F * f1;
		this.tail.rotateAngleZ = MathHelper.cos(f * 0.6662F) * f1;
		this.bone.rotateAngleZ = MathHelper.cos(f * 0.6662F) * f1;
		this.hindleft.rotateAngleX = MathHelper.cos(f * 1.0F) * -1.0F * f1;
		this.head.rotateAngleY = f3 / (180F / (float) Math.PI);
		this.head.rotateAngleX = f4 / (180F / (float) Math.PI);
		this.hindright.rotateAngleX = MathHelper.cos(f * 1.0F) * 1.0F * f1;
		this.bone2.rotateAngleZ = MathHelper.cos(f * 0.6662F + (float) Math.PI) * f1;
		this.frontleft.rotateAngleX = MathHelper.cos(f * 1.0F) * 1.0F * f1;
		this.Core.rotateAngleY = f2 / 20.f;
	}
}