package net.mcreator.scatteredkingdoms.procedures;

import net.minecraft.world.World;
import net.minecraft.util.DamageSource;
import net.minecraft.particles.ParticleTypes;
import net.minecraft.entity.Entity;

import net.mcreator.scatteredkingdoms.entity.StoneGolemEntity;
import net.mcreator.scatteredkingdoms.ScatteredKingdomsElements;

@ScatteredKingdomsElements.ModElement.Tag
public class StoneSpellRightClickedInAirProcedure extends ScatteredKingdomsElements.ModElement {
	public StoneSpellRightClickedInAirProcedure(ScatteredKingdomsElements instance) {
		super(instance, 63);
	}

	public static void executeProcedure(java.util.HashMap<String, Object> dependencies) {
		if (dependencies.get("entity") == null) {
			System.err.println("Failed to load dependency entity for procedure StoneSpellRightClickedInAir!");
			return;
		}
		if (dependencies.get("x") == null) {
			System.err.println("Failed to load dependency x for procedure StoneSpellRightClickedInAir!");
			return;
		}
		if (dependencies.get("y") == null) {
			System.err.println("Failed to load dependency y for procedure StoneSpellRightClickedInAir!");
			return;
		}
		if (dependencies.get("z") == null) {
			System.err.println("Failed to load dependency z for procedure StoneSpellRightClickedInAir!");
			return;
		}
		if (dependencies.get("world") == null) {
			System.err.println("Failed to load dependency world for procedure StoneSpellRightClickedInAir!");
			return;
		}
		Entity entity = (Entity) dependencies.get("entity");
		int x = (int) dependencies.get("x");
		int y = (int) dependencies.get("y");
		int z = (int) dependencies.get("z");
		World world = (World) dependencies.get("world");
		entity.attackEntityFrom(DamageSource.MAGIC, (float) 5);
		for (int _ct = 0; _ct < 20; _ct++) {
			world.addOptionalParticle(ParticleTypes.EXPLOSION, x, y, z, 3, 3, 3);
		}
		if (!world.isRemote) {
			Entity entityToSpawn = new StoneGolemEntity.CustomEntity(StoneGolemEntity.entity, world);
			entityToSpawn.setLocationAndAngles(x, y, z, world.rand.nextFloat() * 360F, 0);
			world.addEntity(entityToSpawn);
		}
	}
}
